com.google.gwt.cell.client

## Class TextButtonCell.DefaultAppearance

- java.lang.Object
- - com.google.gwt.cell.client.ButtonCellBase.DefaultAppearance<java.lang.String>
  - - com.google.gwt.cell.client.TextButtonCell.DefaultAppearance

- All Implemented Interfaces:
    ButtonCellBase.Appearance<java.lang.String>, TextButtonCell.Appearance
  Enclosing class:
    TextButtonCell

      public static class TextButtonCell.DefaultAppearance
      extends ButtonCellBase.DefaultAppearance<java.lang.String>
      implements TextButtonCell.Appearance

  The default implementation of the `TextButtonCell.Appearance`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.cell.client.ButtonCellBase.DefaultAppearance

      `ButtonCellBase.DefaultAppearance.Resources, ButtonCellBase.DefaultAppearance.Style, ButtonCellBase.DefaultAppearance.Template`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultAppearance()` Construct a new `TextButtonCell.DefaultAppearance` using the default resources.
    `DefaultAppearance(ButtonCellBase.DefaultAppearance.Resources resources)` Construct a new `TextButtonCell.DefaultAppearance` using the specified resources.

  - ### Method Summary

    - ### Methods inherited from class com.google.gwt.cell.client.ButtonCellBase.DefaultAppearance

      `getRenderer, onPush, onUnpush, render, setFocus`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.gwt.cell.client.ButtonCellBase.Appearance

      `onPush, onUnpush, render, setFocus`

- - ### Constructor Detail

    - #### DefaultAppearance

          public DefaultAppearance()

      Construct a new `TextButtonCell.DefaultAppearance` using the default resources.

      The `TextButtonCell.DefaultAppearance` may be replaced with a more modern appearance in the future. If you want to stay up to date with the latest appearance, use `TextButtonCell#createDefaultAppearance()` instead of this constructor. If you do not want the appearance to be updated with successive versions of GWT, use this constructor.

    - #### DefaultAppearance

          public DefaultAppearance(ButtonCellBase.DefaultAppearance.Resources resources)

      Construct a new `TextButtonCell.DefaultAppearance` using the specified resources.
      Parameters:
        `resources` - the resources and styles to apply to the button